<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
include "../conex.php";                // ***************  29/12/09 ********************

$rut_cliente_cod = $_GET["rutc"];


//  **************  busca clientes sucursal ***********************

$sql_bc = "SELECT rut FROM sucursales WHERE id = $rut_cliente_cod";
	$res_bc = mysql_query($sql_bc,$enlace);
		$rut_cliente_buscar = mysql_result($res_bc, 0, "rut");
		
// fecha hoy
		$unixtime = time();
		$settime = $unixtime;
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha= $mi_ano."-".$mi_mes."-".$mi_dia;    //  hoy
		
//  **************  Revisa existencia de actividad de descuento ******************************
$descuento_cliente='N';
 $id_segmento= '';
$cont=0;
    $sql_bc = "SELECT * FROM descuentos WHERE  fecha_inicio<='$fecha' AND fecha_final>='$fecha'";
	$res_bc = mysql_query($sql_bc,$enlace);
	while (mysql_fetch_object ($res_bc))
	 {
	 $id_segmento= mysql_result($res_bc, $cont, "id_segmento");
	 $cont+=1;
     }
if ($cont!=0)	  //*******  existe descuento
   {
		
//  ***  Revisa existencia Lista Descuento Clientes ****

        
           //  ***  Existe Lista Descuento Clientes **** ver si el cliente esta en la lista.   
			$cont=0;
			$sql_bc = "SELECT descuento FROM descuentos, descuentos_clientes WHERE  id_descuento=descuentos.id AND fecha_inicio<='$fecha' AND fecha_final>='$fecha' AND rut = '$rut_cliente_buscar'";
			$res_bc = mysql_query($sql_bc,$enlace);
			while (mysql_fetch_object ($res_bc))
	 		{
			 $descuento_cliente= mysql_result($res_bc, $cont, "descuento");
	 		$cont+=1;
     		}	   
		   // de aqui sale $descuento_cliente=>0
	
			
		          //******* fin  existe lista descuento clientes
	
      if  ($descuento_cliente=='N')       
        {   
			$cont=0;
		$sql_bc = "SELECT * FROM nombres WHERE nombres.rut = '$rut_cliente_buscar'";
		$res_bc = mysql_query($sql_bc,$enlace);
		if(mysql_fetch_object($res_bc))
			{
			$bc_segmento = mysql_result($res_bc, $cont, "nombres.bloqueada");
			 $cont+=1;
			}
			
			if ($id_segmento==0 || $id_segmento==$bc_segmento)  	$descuento_cliente='S';
			
       
			
		} 	
	          //*******  fin existe descuento
	}    //*******  NO existe descuento
	
//  **************  Busca dctos en cartera  **********
$cheque = 0;
		$sqldcto = "select  sum(monto) as monto FROM documentos_clientes WHERE rut='$rut_cliente_buscar' AND cobrado='N'";
		$resdcto = mysql_query($sqldcto,$enlace);	
	  if (mysql_fetch_object ($resdcto))
		{
		$cheque = mysql_result($resdcto, 0, "monto"); 
		}	
if($cheque == '') $cheque = 0;

//  **************  Busca ctacte  facturas pendientes **********
$cta_cte = 0;
	$sqldcto = "select  sum(total-pagada) as monto FROM salida WHERE tipo_pago=3 AND tipo_dcto=2 AND rut_cliente='$rut_cliente_buscar'";
		 $resdcto = mysql_query($sqldcto,$enlace);	
		   if (mysql_fetch_object ($resdcto))
		{
		$cta_cte = mysql_result($resdcto, 0, "monto");		
		}	
	if($cta_cte == '') $cta_cte = 0;	
		
//  **************  Datos cliente status  **********
 $cont=0;
$sql_bc = "SELECT * FROM nombres WHERE nombres.rut = '$rut_cliente_buscar'";
	$res_bc = mysql_query($sql_bc,$enlace);
	if(mysql_fetch_object($res_bc))
		{
		$bc_bloqueada = mysql_result($res_bc, $cont, "nombres.bloqueada");
		$bc_ctacte = mysql_result($res_bc, $cont, "nombres.ctacte");
		$txtmontoctacte = mysql_result($res_bc, $cont, "nombres.monto_credito");
		$bc_dias_plazo = mysql_result($res_bc, $cont, "nombres.dias_plazo");	
		}
	
 if ($bc_bloqueada=='True')
	 {
	 ?>
	  <script languaje="javascript">
	 alert("Cliente Bloqueado");
	 window.close();
	  </script>
	 <?	
	 }
	else
	{
	   $t_usado=$cta_cte;                    //  $cheque+  
	 if (($txtmontoctacte-$t_usado)<0) 
		{$bc_bloqueada='True';
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por Limite de Credito");
	  window.close();
	   	</script>
		<?
         }
	
		
//  **************  busca ventas del mes   *********
  $ventas=0;
	$sqldcto = "select  sum(total) as monto FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND tipo_dcto=2 AND extract(month from fecha_emision)='$mi_mes' AND extract(year from fecha_emision)='$mi_ano'";
		 $resdcto = mysql_query($sqldcto,$enlace);	
		   if (mysql_fetch_object ($resdcto))
		{ $ventas = mysql_result($resdcto, 0, "monto");	}	
		
//  **************  busca facturas pendientes  plazo vencido**********
if ($cta_cte!=0)
     {  $x=0;
	$sqldcto = "select  * FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND tipo_pago=3 AND tipo_dcto=2 AND total-pagada<>0 AND fecha_vencimiento < '$fecha'";
		  $resdcto = mysql_query($sqldcto,$enlace);	
		 if (mysql_fetch_object ($resdcto))
			{	$x=1;			}
			
		if ($x==1) 
		{
		//$bc_bloqueada='True';		   //****** solo advertencia *******	
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por facturas pendientes");
	 	</script>
		<?
		}
      }

//  **************		
		
		
?>
	<script languaje="javascript">
	
	
	if ('<? echo $bc_bloqueada;?>'=='False')
	{
		
       if ('<? echo $bc_ctacte;?>'=='True') window.opener.document.form1.lstpago.value = 3;
		    else window.opener.document.form1.lstpago.value = 1;
		
		
		window.opener.document.form1.txtdiasplazo.value = '<?=$bc_dias_plazo;?>';
		window.opener.document.form1.ventas.value = '<?=number_format($ventas,0,',','.');?>';
		window.opener.document.form1.descuento_cliente.value = '<?=$descuento_cliente;?>';
		
		
		
		
	// calculo de fecha de acuerdo a dias plazo.
		<? 
        $unixtime = time();
		$settime = $unixtime  + ( 86400* $bc_dias_plazo);
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
         ?>
        window.opener.document.form1.fecha2.value = '<?=$mi_dia;?>/<?=$mi_mes;?>/<?=$mi_ano;?>';  
	}
	window.close();
		
	</script>
   <? 
   } 
   ?>